Bug 112887 - CAN-2003-0985 mremap kernel vulnerability
Summary: CAN-2003-0985 mremap kernel vulnerability
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ernie Petrides
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-05 12:58 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-30 12:51:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark J. Cox 2004-01-05 12:58:55 UTC
Paul Starzetz discovered a flaw in bounds checking in mremap() in the
Linux kernel versions 2.4.23 and previous which may allow a local
attacker to gain root privileges. No exploit is currently available;
however, it is believed that this issue is exploitable (although not
trivially.) 

The Common Vulnerabilities and Exposures project (cve.mitre.org) has
assigned the name CAN-2003-0985 to this issue.

Affects: 3AS 3ES 3WS

Comment 1 Ernie Petrides 2004-03-30 01:57:30 UTC
Mark, this problem was fixed in kernel versions 2.4.21-4.0.2.EL
(RHSA-2003:416, E1 build #2) and 2.4.21-9.EL (RHSA-2004:017, U2).



Note You need to log in before you can comment on or make changes to this bug.